Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnBaseFilter Class Reference

`#include <gnBaseFilter.h>`

Inheritance diagram for gnBaseFilter::

List of all members.

## Public Methods
virtual gnBaseFilter* | Clone () const=0
virtual string | GetName () const
| Gets the name of this filter. More...
virtual void | SetName (string name)
| Sets the name of this filter. More...
virtual gnSeqC | Filter (const gnSeqC ch) const=0
| Filter the given character. More...
virtual void | Filter (gnSeqC **seq, uint32 &len) const=0
| Filter the given character array. More...
virtual void | Filter (string &seq) const=0
| Filters the given string. More...
## Private Attributes
string | m_name

## Member Function Documentation

gnBaseFilter * gnBaseFilter::Clone ( | ) const`[pure virtual]`

| Reimplemented from gnClone. Reimplemented in gnFastTranslator, gnFilter, and gnTranslator.

void gnBaseFilter::Filter ( | string & seq ) const`[pure virtual]`

  | Filters the given string. Parameters:
  seq | The string to filter
Reimplemented in gnFastTranslator, gnFilter, and gnTranslator.

void gnBaseFilter::Filter ( | gnSeqC ** seq,
| uint32 & len ) const`[pure virtual]`

  | Filter the given character array. Parameters:
  seq | A pointer to the character array
  len | the length of the character array to filter
Returns: The filtered character Reimplemented in gnFastTranslator, gnFilter, and gnTranslator.

gnSeqC gnBaseFilter::Filter ( | const gnSeqC ch ) const`[pure virtual]`

  | Filter the given character. Parameters:
  ch | The character to filter
Returns: The filtered character Reimplemented in gnFastTranslator, gnFilter, and gnTranslator.

string gnBaseFilter::GetName ( | ) const`[inline, virtual]`

| Gets the name of this filter. Returns: the filter name Definition at line 66 of file gnBaseFilter.h.

void gnBaseFilter::SetName ( | string name )`[inline, virtual]`

  | Sets the name of this filter. Parameters:
  name | the new filter name
Definition at line 71 of file gnBaseFilter.h. Referenced by gnFilter::CreateAlphabetCharacterFilter(), gnFilter::CreateBasicDNAFilter(), gnFilter::CreateBasicRNAFilter(), gnFilter::CreateDNAComplementFilter(), gnTranslator::CreateDNAProteinTranslator(), gnFilter::CreateDNAtoRNAFilter(), gnFilter::CreateFullDNAFilter(), gnFilter::CreateFullRNAFilter(), gnFilter::CreateNumberCharacterFilter(), gnTranslator::CreateProteinDNATranslator(), gnFilter::CreateProteinFilter(), gnTranslator::CreateProteinRNATranslator(), gnFilter::CreateRNAComplementFilter(), gnTranslator::CreateRNAProteinTranslator(), and gnFilter::CreateRNAtoDNAFilter().

## Member Data Documentation

string gnBaseFilter::m_name`[private]`

| Reimplemented in gnFastTranslator, gnFilter, and gnTranslator. Definition at line 61 of file gnBaseFilter.h.

The documentation for this class was generated from the following file:

- gnBaseFilter.h